FROM php:8.3-apache

RUN a2enmod rewrite && \
    sed -i 's/AllowOverride None/AllowOverride All/g' /etc/apache2/apache2.conf

WORKDIR /var/www/html

COPY index.php .htaccess ./
COPY docs/ docs/

RUN chown -R www-data:www-data /var/www/html

EXPOSE 80
